=== debian/changelog ===
snibbetracker (1.1.1-4) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Mon, 15 Jul 2024 06:07:13 +0000

snibbetracker (1.1.1-3) unstable; urgency=medium

  * Apply patch to fix reproducible-builds. (Closes: #1005794)
    Thanks Vagrant Cascadian.

 -- Gürkan Myczko <tar@debian.org>  Sun, 13 Mar 2022 19:24:27 +0100

snibbetracker (1.1.1-2) unstable; urgency=medium

  * Source only upload.

 -- Gürkan Myczko <tar@debian.org>  Thu, 17 Feb 2022 14:57:34 +0100

snibbetracker (1.1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1003216)

 -- Gürkan Myczko <tar@debian.org>  Tue, 04 Jan 2022 18:28:14 +0100
