=== debian/control ===
Source: snibbetracker
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Alex Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13), libcjson-dev, libsdl2-dev
Standards-Version: 4.7.0
Homepage: https://github.com/lundstroem/snibbetracker
Vcs-Browser: https://salsa.debian.org/multimedia-team/snibbetracker
Vcs-Git: https://salsa.debian.org/multimedia-team/snibbetracker.git
Rules-Requires-Root: no

Package: snibbetracker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fakebit music tracker
 This is a fakebit tracker written in C using SDL2 that the author began
 working on in 2014 to learn DSP programming. It can handle 6 channels,
 and is similar to other tracker like music creation software.
 .
 Find some music tracks here:
 https://battleofthebits.org/browser/Format/snibbetracker
